function userCodeSections = defaultUserCodeSections()
    userCodeSections.init = loadIFtemplate( 'if_user_init' );
    userCodeSections.mid = loadIFtemplate( 'if_user_mid' );
    userCodeSections.final = loadIFtemplate( 'if_user_final' );
    userCodeSections.subfunctions = loadIFtemplate( 'if_user_subfunctions' );
end
